Watcher.Event.EventType (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper

## Enum Watcher.Event.EventType

- java.lang.Object
- - java.lang.Enum<Watcher.Event.EventType>
  - - org.apache.zookeeper.Watcher.Event.EventType

- All Implemented Interfaces:
    Serializable, Comparable<Watcher.Event.EventType>
  Enclosing interface:
    Watcher.Event

      @InterfaceAudience.Public
      public static enum Watcher.Event.EventType
      extends Enum<Watcher.Event.EventType>

  Enumeration of types of events that may occur on the ZooKeeper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ChildWatchRemoved`
    `DataWatchRemoved`
    `NodeChildrenChanged`
    `NodeCreated`
    `NodeDataChanged`
    `NodeDeleted`
    `None`
    `PersistentWatchRemoved`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Watcher.Event.EventType` | `fromInt(int intValue)`
    `int` | `getIntValue()`
    `static Watcher.Event.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Watcher.Event.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final Watcher.Event.EventType None

    - #### NodeCreated

          public static final Watcher.Event.EventType NodeCreated

    - #### NodeDeleted

          public static final Watcher.Event.EventType NodeDeleted

    - #### NodeDataChanged

          public static final Watcher.Event.EventType NodeDataChanged

    - #### NodeChildrenChanged

          public static final Watcher.Event.EventType NodeChildrenChanged

    - #### DataWatchRemoved

          public static final Watcher.Event.EventType DataWatchRemoved

    - #### ChildWatchRemoved

          public static final Watcher.Event.EventType ChildWatchRemoved

    - #### PersistentWatchRemoved

          public static final Watcher.Event.EventType PersistentWatchRemoved

  - ### Method Detail

    - #### values

          public static Watcher.Event.EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Watcher.Event.EventType c : Watcher.Event.EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Watcher.Event.EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getIntValue

          public int getIntValue()

    - #### fromInt

          public static Watcher.Event.EventType fromInt(int intValue)

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.